MacroOverflowException (Velocity 1.7 API)
Keywords: org.apache.velocity.exception.MacroOverflowException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class MacroOverflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.velocity.exception.VelocityException
                      org.apache.velocity.exception.MacroOverflowException

All Implemented Interfaces:
  Serializable

public class MacroOverflowException
extends VelocityException

Application-level exception thrown when macro calls within macro calls exceeds the maximum allowed depth. The maximum allowable depth is given in the configuration as velocimacro.max.depth.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`MacroOverflowException(String exceptionMessage)`
`MacroOverflowException(String exceptionMessage, Throwable wrapped)`
`MacroOverflowException(Throwable wrapped)`

Methods inherited from class org.apache.velocity.exception.VelocityException
`getWrappedThrowable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MacroOverflowException

    public MacroOverflowException(String exceptionMessage)

Parameters:
  `exceptionMessage` - The message to register.

### MacroOverflowException

    public MacroOverflowException(String exceptionMessage,
                                  Throwable wrapped)

Parameters:
  `exceptionMessage` - The message to register.
  `wrapped` - A throwable object that caused the Exception.

### MacroOverflowException

    public MacroOverflowException(Throwable wrapped)

Parameters:
  `wrapped` - A throwable object that caused the Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.